<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Detail Rekap Tagihan</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Rekapan Tagihan </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col-md-12 col-xs-12">
                <div class="card shadow">
                    <div class="card-body">
                        <form method="get">
                            <div class="row">
                                <div class="col-md-10">
                                    <div class="form-group">
                                        <select name="tahunAkademik" required class="form-control">
                                            <option th:href="@{/studentBill/rekapTagihan/angkatan}">ALL</option>
                                            <option th:each="data : ${tahunAkademik}"
                                                    th:selected="(${data} == *{selectTahun})"
                                                    th:text="${data.namaTahunAkademik}"
                                                    th:value="${data.id}">STEI TAZKIA</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="input-group mb-3">
                                        <div class="input-group-append">
                                            <button class="btn btn-primary" type="submit"><i class="fas fa-eye"></i> &nbsp;Show</button>
                                        </div>
                                    </div>
                                </div>
<!--                                <div class="col-md-2" th:if="${selectTahun != null}">-->
<!--                                    <div class="input-group mb-3">-->
<!--                                        <div class="input-group-append">-->
<!--                                            <a th:href="@{/studentBill/rekapTagihan/angkatan}" class="btn btn-info" type="submit"><i class="fas fa-sync-alt"></i> &nbsp;Refresh</a>-->
<!--                                        </div>-->
<!--                                    </div>-->
<!--                                </div>-->
                            </div>
                        </form>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="table-responsive">
                                <table class="table align-items-center table-flush table-striped">
                                    <thead class="thead-light">
                                    <tr>
                                        <td>#</td>
                                        <td class="text-center">Angkatan</td>
                                        <td class="text-center">Total Tagihan</td>
                                        <td class="text-center">Dibayar</td>
                                        <td class="text-center">Sisa</td>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="data, row:${listData}">
                                        <td th:text="${(row.index + 1)}">1</td>
                                        <td class="text-center">
                                            <div th:if="${selectTahun == null}">
                                                <a class="text-default" th:href="@{/studentBill/rekapTagihan/list(angkatan=${data[0]})}"
                                                   th:text="${data[0]}"></a>
                                            </div>
                                            <div th:if="${selectTahun != null}">
                                                <a class="text-default" th:href="@{/studentBill/rekapTagihan/list(angkatan=${data[0]}, tahunAkademik=${selectTahun.id})}"
                                                   th:text="${data[0]}"></a>
                                            </div>
                                        </td>
                                        <td class="text-center" th:text="${'Rp. ' + #numbers.formatDecimal(data[1], 0, 'POINT', 2, 'COMMA')}"></td>
                                        <td class="text-center" th:text="${'Rp. ' + #numbers.formatDecimal(data[2], 0, 'POINT', 2, 'COMMA')}"></td>
                                        <td class="text-center" th:text="${'Rp. ' + #numbers.formatDecimal(data[3], 0, 'POINT', 2, 'COMMA')}"></td>
                                    </tr>
                                    <tr>
                                        <td class="text-right" colspan="2"><h5>Total : </h5></td>
                                        <td class="text-center"><h5 th:text="${'Rp. ' + #numbers.formatDecimal(toTagihan, 0, 'POINT', 2, 'COMMA')}"></h5></td>
                                        <td class="text-center"><h5 th:text="${'Rp. ' + #numbers.formatDecimal(toDibayar, 0, 'POINT', 2, 'COMMA')}"></h5></td>
                                        <td class="text-center"><h5 th:text="${'Rp. ' + #numbers.formatDecimal(toTagihan - toDibayar, 0, 'POINT', 2, 'COMMA')}"></h5></td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>